setlocal
   rem - TextToEcho erstellen
   set TextToEcho=%~1
   if "%TextToEcho%" equ ""  set TextToEcho=.
   if "%TextToEcho%" neq "." set TextToEcho=.%TextToEcho%

   if not defined JobMgr_EchoLog_DPNE set JobMgr_EchoLog_DPNE=%~dp0zzTracActionInfo_log.txt

   if /I "%~3" equ ""  Echo%TextToEcho%
   if "%TextToEcho%" equ "." goto :EchoEnd
   Echo %date:~0,10% %time:~0,8%: %TextToEcho:~1% >>"%JobMgr_EchoLog_DPNE%"
   rem - Ausgabe in zusatz files File
   if "%~2" equ "" goto :EchoEnd
   Echo%TextToEcho% >>"%~2"
 :EchoEnd
endlocal
